> ## Documentation Index
> Fetch the complete documentation index at: https://developers.deepl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List translation memories

> Retrieve translation memories associated with your account, used to store and reuse previously created translations. See [How to use translation memories](/docs/learning-how-tos/examples-and-guides/how-to-use-translation-memories) to use them in translation requests.



## OpenAPI

````yaml get /v3/translation_memories
openapi: 3.0.3
info:
  title: DeepL API Documentation
  description: >-
    The DeepL API provides programmatic access to DeepL’s language AI
    technology.


    Note: this OpenAPI spec is embedded into our API documentation and has
    shortened descriptions.
  termsOfService: https://www.deepl.com/pro-license
  contact:
    name: DeepL - Contact us
    url: https://www.deepl.com/contact-us
  version: 3.9.0
servers:
  - url: https://api.deepl.com
    description: DeepL API Pro
  - url: https://api-free.deepl.com
    description: DeepL API Free
security: []
tags:
  - name: beta
    description: >-
      Experimental features that are under testing and not yet intended for
      production use.
  - name: TranslateText
    description: >-
      The text-translation API currently consists of a single endpoint,
      `translate`, which is described below.
  - name: TranslateDocuments
    description: >-
      The document translation API allows you to translate whole documents and
      supports the following file types and extensions:
        * `docx` - Microsoft Word Document
        * `pptx` - Microsoft PowerPoint Document
        * `xlsx` - Microsoft Excel Document
        * `pdf` - Portable Document Format
        * `htm / html` - HTML Document
        * `txt` - Plain Text Document
        * `xlf / xliff` - XLIFF Document, version 2.1
        * `srt` - SRT Document
        * `jpeg` / `jpg` / `png` - Image (currently in beta)
  - name: RephraseText
    description: >-
      The `rephrase` endpoint  is used to make corrections and adjustments to
      texts based on style or tone.
  - name: ManageMultilingualGlossaries
    description: >-
      The *glossary* functions allow you to create, inspect, edit and delete
      glossaries.

      Glossaries created with the glossary function can be used in translate
      requests by specifying the

      `glossary_id` parameter. A glossary contains (several) dictionaries.

      A dictionary is a mapping of source phrases to target phrases for a single
      language pair.

      If you encounter issues, please let us know at support@DeepL.com.


      Currently you can create glossaries with any of the languages DeepL
      supports (with the exception of Thai).


      The maximum size limit for a glossary is 10 MiB = 10485760 bytes and each
      source/target text,

      as well as the name of the glossary, is limited to 1024 UTF-8 bytes.

      A total of 1000 glossaries are allowed per account.


      When creating a dictionary with target language `EN`, `PT`, or `ZH`, it's
      not necessary to specify a variant

      (e.g. `EN-US`, `EN-GB`, `PT-PT`, `PT-BR`, or `ZH-HANS`).

      Dictionaries with target language `EN` can be used in translations with
      either English variant.

      Similarly `PT`, and `ZH` dictionaries can be used in translations with
      their corresponding variants.

      (When you provide the ID of a glossary to a translation, the appropriate
      dictionary is automatically applied. Currently glossaries can not yet be
      used with source language detection.)


      Glossaries created via the DeepL API are now unified with glossaries
      created via the DeepL website and DeepL apps.

      Please only use the v3 glossary API in conjunction with multilingual or
      edited glossaries from the website.
  - name: ManageGlossaries
    description: >-
      Please note that this is the spec for the (old) v2 glossary endpoint.

      We recommend users switch to the newer v3 glossary endpoints, which
      support editability and multilinguality.


      The *glossary* functions allow you to create, inspect, and delete
      glossaries.

      Glossaries created with the glossary function can be used in translate
      requests by specifying the

      `glossary_id` parameter.

      If you encounter issues, please let us know at support@DeepL.com.


      Currently you can create glossaries with any of the languages DeepL
      supports (with the exception of Thai).
  - name: MetaInformation
    description: Information about API usage and value ranges
  - name: TranslationMemories
    description: >-
      The translation memory endpoints allow you to interact with your account's
      translation memories, used to store

      and reuse previously created translations. Translation memories can be
      used in text translation requests by

      specifying the `translation_memory_id` parameter to denote a specific
      translation memory and the

      `translation_memory_threshold` which defines the minimum matching
      percentage required for a translation memory

      segment to be applied (recommended to be 75% or higher).
  - name: VoiceAPI
    description: >-
      The Voice API provides real-time voice transcription and translation
      services.

      Use a two-step flow: first request a streaming URL via REST, then
      establish a WebSocket connection for streaming audio and receiving
      transcriptions.
  - name: VoiceTranslateJob
    description: >-
      **Alpha.** Async voice translation jobs. This API may change without
      notice.
externalDocs:
  description: DeepL Pro - Plans and pricing
  url: https://www.deepl.com/pro#developer
paths:
  /v3/translation_memories:
    get:
      tags:
        - TranslationMemories
      summary: List translation memories
      description: >-
        Retrieve a list of translation memories associated with the
        authenticated account.
      operationId: listTranslationMemories
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 0
          description: >-
            The index of the first page to return. Use with `page_size` to get
            the next page of translation memories.
        - name: page_size
          in: query
          schema:
            type: integer
            default: 10
            minimum: 1
            maximum: 25
          description: The maximum number of translation memories to return.
      responses:
        '200':
          description: Returns a list of translation memories.
          headers:
            X-Trace-ID:
              $ref: '#/components/headers/X-Trace-ID'
          content:
            application/json:
              schema:
                type: object
                properties:
                  translation_memories:
                    type: array
                    items:
                      $ref: '#/components/schemas/TranslationMemory'
                  total_count:
                    type: integer
                    description: The total number of translation memories available.
                    example: 2
              examples:
                Basic:
                  value:
                    translation_memories:
                      - translation_memory_id: a74d88fb-ed2a-4943-a664-a4512398b994
                        name: Legal
                        source_language: en
                        target_languages:
                          - es
                          - de
                        segment_count: 3542
                      - translation_memory_id: 855d36ab-6112-4ef5-8868-0d69bc4d826a
                        name: Medical terms
                        source_language: de
                        target_languages:
                          - fr
                          - ja
                          - zh
                        segment_count: 23
                    total_count: 2
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
      security:
        - auth_header: []
components:
  headers:
    X-Trace-ID:
      description: >-
        A unique identifier for the request that can be included in bug reports
        to DeepL support.
      schema:
        type: string
      example: 501c3d93cc0c4f11ae2f60a226c2f0f0
  schemas:
    TranslationMemory:
      type: object
      required:
        - translation_memory_id
        - name
        - source_language
        - target_languages
        - segment_count
      properties:
        translation_memory_id:
          $ref: '#/components/schemas/TranslationMemoryId'
        name:
          description: Name associated with the translation memory.
          type: string
          example: Legal
        source_language:
          $ref: '#/components/schemas/TranslationMemorySourceLanguage'
        target_languages:
          description: The list of target languages available in the translation memory.
          type: array
          items:
            $ref: '#/components/schemas/TranslationMemoryTargetLanguage'
          example:
            - es
            - de
        segment_count:
          description: The number of segments stored in the translation memory.
          type: integer
          example: 34
    TranslationMemoryId:
      type: string
      format: uuid
      description: >-
        A unique ID assigned to a translation memory.


        **Note:** Requests with the `translation_memory_id` parameter must use
        the `quality_optimized` model type. Requests combining
        `translation_memory_id` and `model_type: latency_optimized` will be
        rejected.
      example: a74d88fb-ed2a-4943-a664-a4512398b994
    TranslationMemorySourceLanguage:
      description: The source language of the translation memory.
      type: string
      enum:
        - de
        - en
        - es
        - fr
        - it
        - ja
        - ko
        - zh
      example: en
    TranslationMemoryTargetLanguage:
      description: >-
        The list of target languages available in the translation memory. A
        translation memory's target language must be compatible with the
        `target_lang` specified in a translation request.
      type: string
      enum:
        - de
        - en
        - en-gb
        - en-us
        - es
        - es-419
        - fr
        - it
        - ja
        - ko
        - zh
        - zh-hans
      example: es
  responses:
    Unauthorized:
      description: >-
        Authorization failed. Please supply a valid `DeepL-Auth-Key` via the
        `Authorization` header.
    Forbidden:
      description: >-
        Authorization failed. Please supply a valid `DeepL-Auth-Key` via the
        `Authorization` header.
    TooManyRequests:
      description: Too many requests. Please wait and resend your request.
    InternalServerError:
      description: Internal error.
    ServiceUnavailable:
      description: Resource currently unavailable. Try again later.
  securitySchemes:
    auth_header:
      type: apiKey
      description: >
        Authentication with `Authorization` header and  `DeepL-Auth-Key`
        authentication scheme. Example:  `DeepL-Auth-Key <api-key>`
      name: Authorization
      in: header
      x-default: 'DeepL-Auth-Key '

````